microsoft-foundry.rest.security.o-auth2-auth
Deployments
List deployments
GET
/deployments
Returns the deployed models available in the current project, optionally filtered by publisher, model name, or deployment type.
Query parameters
api-version
string
required
The API version to use for this operation.
modelPublisher
string
Model publisher to filter models by
modelName
string
Model name (the publisher specific name) to filter models by
deploymentType
string | enum
Type of deployment to filter list by
Any of the following:
string
enum
ModelDeployment
Header parameters
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Responses
The request has succeeded.
Headers
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Body
Content-Type: application/json
value
Deployment[]
required
The Deployment items on this page
nextLink
string
The link to the next page of items
Request
GET /deployments HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json